// /home/siemens/bip/examples/sync_lec/learn.bip:131:1

#include <learn/CT__learn__Compound.hpp>

CT__learn__Compound::CT__learn__Compound (const string &name, AT__learn__Environment &_comp_decl__environment, AT__learn__Camera &_comp_decl__camera, AT__learn__Perception &_comp_decl__perception, AT__learn__Controller &_comp_decl__controller, AT__learn__Brake &_comp_decl__brake, AT__learn__Throttle &_comp_decl__throttle, AT__learn__SpeedSensor &_comp_decl__speedSensor
                              , ConnT__learn__intConnector &_conn_decl__capture, ConnT__learn__intConnector &_conn_decl__getPerceptionInput, ConnT__learn__intConnector &_conn_decl__getSpeedLimit, ConnT__learn__intConnector &_conn_decl__getSpeed, ConnT__learn__intConnector &_conn_decl__throttleCommand, ConnT__learn__intConnector &_conn_decl__brakeCommand, ConnT__learn__rendezVous &_conn_decl__throttleAction, ConnT__learn__rendezVous &_conn_decl__brakeAction, ConnT__learn__rendezVous &_conn_decl__noSpeedChangeAction, ConnT__learn__singleton &_conn_decl__inference, ConnT__learn__singleton &_conn_decl__noInput, ConnT__learn__singleton &_conn_decl__getInputInitial
                              
                              
                              
                              

) : ComponentItf(name, COMPOUND), Compound(name), _comp_decl__environment(_comp_decl__environment), _comp_decl__camera(_comp_decl__camera), _comp_decl__perception(_comp_decl__perception), _comp_decl__controller(_comp_decl__controller), _comp_decl__brake(_comp_decl__brake), _comp_decl__throttle(_comp_decl__throttle), _comp_decl__speedSensor(_comp_decl__speedSensor), _conn_decl__capture(_conn_decl__capture), _conn_decl__getPerceptionInput(_conn_decl__getPerceptionInput), _conn_decl__getSpeedLimit(_conn_decl__getSpeedLimit), _conn_decl__getSpeed(_conn_decl__getSpeed), _conn_decl__throttleCommand(_conn_decl__throttleCommand), _conn_decl__brakeCommand(_conn_decl__brakeCommand), _conn_decl__throttleAction(_conn_decl__throttleAction), _conn_decl__brakeAction(_conn_decl__brakeAction), _conn_decl__noSpeedChangeAction(_conn_decl__noSpeedChangeAction), _conn_decl__inference(_conn_decl__inference), _conn_decl__noInput(_conn_decl__noInput), _conn_decl__getInputInitial(_conn_decl__getInputInitial) {
    this->addComponent(_comp_decl__environment);
    this->addComponent(_comp_decl__camera);
    this->addComponent(_comp_decl__perception);
    this->addComponent(_comp_decl__controller);
    this->addComponent(_comp_decl__brake);
    this->addComponent(_comp_decl__throttle);
    this->addComponent(_comp_decl__speedSensor);
    this->addConnector(_conn_decl__capture);
    this->addConnector(_conn_decl__getPerceptionInput);
    this->addConnector(_conn_decl__getSpeedLimit);
    this->addConnector(_conn_decl__getSpeed);
    this->addConnector(_conn_decl__throttleCommand);
    this->addConnector(_conn_decl__brakeCommand);
    this->addConnector(_conn_decl__throttleAction);
    this->addConnector(_conn_decl__brakeAction);
    this->addConnector(_conn_decl__noSpeedChangeAction);
    this->addConnector(_conn_decl__inference);
    this->addConnector(_conn_decl__noInput);
    this->addConnector(_conn_decl__getInputInitial);
}

CT__learn__Compound::~CT__learn__Compound() {
}
